Bug 125694 - On exit balsa leaves behind a process preventing balsa from running again
On exit balsa leaves behind a process preventing balsa from running again
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: balsa (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-10 03:30 EDT by Ian Laurie
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-18 04:43:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backtrace of lingering process (5.02 KB, text/plain)
2004-07-24 18:44 EDT, Craig Routledge
no flags Details

  None (edit)
Description Ian Laurie 2004-06-10 03:30:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2)
Gecko/20040301

Description of problem:
If balsa has been running for a while (several hours), when you exit
balsa leaves a process behind so that balsa won't start up again until
the process is manually killed.

I have seen this problem when balsa was running for only a few
minutes, but generally it takes a few hours....certainly overnight
will do it.

Version-Release number of selected component (if applicable):
balsa-2.0.17-1

How reproducible:
Always

Steps to Reproduce:
1. Run balsa.
2. Leave it for a few hours.
3. Exit balsa and do a "ps ax | grep balsa"
    

Actual Results:  Balsa shows up as a process after you've exited the
program.  

Expected Results:  Balsa should exit without leaving a process in memory.

Additional info:

It isn't 100% reproducable , but it is 95% reproducable on 3 different
computers.  I am reporting this against Fedora Core 2 because the
default version of balsa with FC2 exhibits the problem, but I have the
same issue under Enterprise Linux 3.0 running balsa-2.0.17-1,
balsa-2.1.2-1 and balsa-2.1.3-1.  As balsa isn't supplied/supported
under RHEL3 I won't report it as a bug there.  I don't recall having
this issue under RHL9 though.
Comment 1 Carlos Morgado 2004-07-04 18:57:32 EDT
Are you using IMAP ?
Comment 2 Ian Laurie 2004-07-05 04:17:09 EDT
No.  Funny enough I'm using nothing but local mail spool files.  I use
balsa to inspect various mail buckets used to drop spam, mailing list
stuff and so on.  I use balsa usually as root but have it set up to
look at root's mail files and my own login account files.  8 mailboxes
are set up beysides the default ones.

I have folded back to earlier versions on my 3 boxes.  Too soon to
tell for *sure* but it looks like all versions of balsa AFTER 2.0.15
have the problem.

I have also checked using "ldd /usr/bin/balsa" that libpthread is
before libc (in response to stuff posted on the balsa list) and all is OK.

Given that I have this problem on 3 versions of Linux, and 3 different
h/w platforms, I am surprised more people are not complaining about
this one.  It can't be just me.
Comment 3 Craig Routledge 2004-07-22 22:00:52 EDT
You might want to try the latest stable release (2.2 branch) which is
available at http://balsa.gnome.org

I occasionally saw this bug with 2.0.17 but have not seen it with
2.2.0.  I was finally able to generate a backtrace shortly after the
new branch was released and can pass it along if you want, but Balsa
development really has moved on.

The Fedora developers also have indicated that they will not update
the 2.0 branch as indicated in bug #127514.
Comment 4 Ian Laurie 2004-07-23 20:27:13 EDT
I just compiled and installed the just released balsa-2.0.18-1 under
Enterprise Linux 3 and on my first run balsa exhibited the bug.

I am not running FC2 any more because I wasn't able to live with the
new file picker (if that doesn't get fixed I'm becoming a KDE user).
However I may toast my test box with FC2 this afternoon for the sake
of curiosity.....

Testing balsa-2.2.0 is just out of the question because there are too
many scary dependency issues.... I would need to install a *lot* of
extra stuff on EL3 just to get it to compile and I don't want to do that.

Last version I tested on EL3 was balsa-2.1.2-1 and that had the bug.

AFAIK all versions up to an including balsa-2.0.15 were good.  All
versions I've tested beyond that exhibit the problem (up to 2.1.2-1).
Comment 5 Craig Routledge 2004-07-24 18:44:59 EDT
Created attachment 102197 [details]
Backtrace of lingering process

Here's the backtrace I obtained awhile ago.  This was from a build of the
Fedora 2.0.17 source RPM.
Comment 6 Craig Routledge 2004-12-03 10:30:42 EST
This has been fixed in Fedora.  I don't have the permissions to change
the product field to RHEL.
Comment 7 Matthew Miller 2005-04-26 11:08:42 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 8 Ian Laurie 2005-10-18 04:43:36 EDT
This bug should probably be closed.  Although not addressed in an errata as
such, later versions of balsa no longer exhibit this problem.

I'm running balsa-2.2.4 on RHEL3 and balsa-2.3.5 on FC4.  Both work.

Note You need to log in before you can comment on or make changes to this bug.